package com.m2pool.auth.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Email;
import java.io.Serializable;

/**
 * @Description 用户登录对象
 * @Date 2022/5/12 16:13
 * @Author 杜懿
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EmailEntity implements Serializable {

    /** 邮箱 */
    @Email
    private String email;

    private String subject;

    private String text;
}
