package com.m2pool.chat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ChatMessage {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    private Integer type;
    private String sendEmail;
    private String content;
    private Long roomId;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;
}
