package com.m2pool.file;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.m2pool.common.swagger.annotation.EnableCustomSwagger2;

/**
 * 文件服务
 *
 * @author dy
 */
@EnableCustomSwagger2
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
public class M2PoolFileApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(M2PoolFileApplication.class, args);
        System.out.println("m2pool文件服务模块启动成功   ლ(´ڡ`ლ)ﾞ  \n");
    }
}
