package com.m2pool.manage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.m2pool.manage.dto.ManageUserDto;
import com.m2pool.manage.entity.ManageBroadcast;
import com.m2pool.manage.vo.ManageBaseVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ManageBroadcastMapper extends BaseMapper<ManageBroadcast> {

    /**
     * 分页查询出用户信息
     * @param coin
     * @param user
     * @param minerUser
     * @return
     */
    List<ManageUserDto> selectUserListByPage(@Param("coin") String coin,@Param("user")String user,@Param("minerUser")  String minerUser);

}
