package com.m2pool.oapi.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description TODO
 * @Date 2024/9/12 15:49
 * @Author 杜懿
 */
@Data
public class AccountMinerDateVo {

    @NotBlank(message = "矿工账号不能为空")
    @Xss
    @JsonProperty("mining_user")
    @JSONField(name = "mining_user")
    public String ma;

    @NotBlank(message = "矿机号不能为空")
    @Xss
    public String miner;

    @Xss
    public String coin;

    @Xss
    public String start;

    @Xss
    public String end;
}
