package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 返回数据实体
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class CalParamDto implements Serializable {

    /** 币种 */
    private String coin;

    /** 全网算力 */
    private BigDecimal netHashrate;

    /** 区块奖励 */
    private BigDecimal reward;

    /** 每日报块数 */
    private BigDecimal count;

    /** 矿池手续费 */
    private BigDecimal poolFee;

}
