package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 支出表实体类
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class OutcomeDto implements Serializable {

    /** 时间 */
    private Date date;

    /** 提现地址 */
    private String address;

    /** 币种/矿池 */
    private String coin;

    /** 收益 */
    private double amount;

    /** 交易id */
    private String txid;

    private int status = 1;


}
