package com.m2pool.pool.entity;


import lombok.Data;

import java.util.Date;

/**
 * @Description 用户网站账户-用户挖矿账号名数据
 *              对应数据库user_miner_account数据
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class UserMinerAccount {

    private long id;

    /** 网站账号名 */
    private String user;

    /** 挖矿账号名 */
    private String ma;

    /** 对应矿池 参数名 */
    private String coin;

    private String remark;


}
