package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @Description TODO
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class ReadOnlyHtmlChangeVo {

    @NotBlank(message = "未传入有效页面有效码")
    @Xss
    public String key;

    //public String coin;
    @Xss
    public String remark;

    /** 权限配置 */
    @Xss
    @Pattern(regexp = "[0-9|,]+$",message = "配置传参格式错误")
    public String config;
}
