package com.m2pool.system.api.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotNull;

/**
 * @Description 用户登录对象
 * @Date 2024/6/12 16:13
 * @Author dy
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GetEmailCodeEntity {

    /** 用户名或邮箱 */
    private String userName;

    /** 邮箱 */
    @NotNull(message = "用户邮箱不能为空")
    @Email(message = "邮箱格式错误")
    private String email;

    //@NotNull(message = "用户密码不能为空")
    //@Size(min=6, max=15,message="密码长度必须在 5 ~ 15 字符之间！")
    ////@Pattern(regexp="^[a-zA-Z0-9|_]+$",message="密码必须由字母、数字、下划线组成！")
    //private String password;

}
