package com.m2pool.chat.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.m2pool.chat.dto.ChatMessageDto;
import com.m2pool.chat.entity.ChatMessageHistory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChatMessageHistoryMapper extends BaseMapper<ChatMessageHistory> {

    /**
     * 根据游标查询十条数据
     * @param id
     * @param pageNum
     * @param roomId
     * @return
     */
    List<ChatMessageDto> findHistoryMessage(@Param("email") String email,@Param("id") Long id,@Param("pageNum") Integer pageNum,@Param("roomId") Long roomId);

}
