package com.m2pool.manage.service;

import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.manage.dto.ManageUserDto;
import com.m2pool.manage.vo.ManageBaseVo;
import com.m2pool.manage.vo.ManageUserVo;
import com.m2pool.manage.vo.PageVo;



/**
 * @Description 广播信息 服务接口
 */
public interface ManageUserService{

    /**
     * 分页查询所有用户信息
     * @param manageUserVo
     * @return
     */
    TableDataInfo<ManageUserDto> listInfo(ManageUserVo manageUserVo);

    /**
     * 发送存文本邮件
     * @param to
     * @param subject
     * @param text
     */
    void  sendTextMailMessage(String to,String subject,String text);
}
