package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description 发送的邮箱信息
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "发送的邮箱信息")
public class EmailVo{
    @ApiModelProperty(value = "接受者邮箱，多个以逗号隔开",example = "1416014977@qq.com,1328642438@qq.com")
    private String to;

    @ApiModelProperty(value = "邮件主题",example = "测试")
    private String subject;

    @ApiModelProperty(value = "邮件内容",example = "测试")
    private String text;
}
