package com.m2pool.oapi.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 曲线图数据结构
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class HashRateDto implements Serializable {

    /** 实时(30m)算力 */
    @JsonProperty("hashrate")
    private BigDecimal mhs;

    private Date date;

}
