package com.m2pool.oapi.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description 矿池总览
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class PoolWatchDto implements Serializable {

    @JsonProperty("pool_fee")
    private String fee;

    @JsonProperty("min_pay")
    private double minPay;

    @JsonProperty("history_last_7days")
    private List<HashRateDto> list;

    private long miners;

    @JsonProperty("hashrate")
    private BigDecimal mhs;

    @JsonProperty("last_found")
    private long height;

    private String unit;
}
