package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description 绑定挖矿账号请求体
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class BalanceCheckVo {

    @NotBlank(message = "缺少币种参数")
    @Xss
    public String coin;

    @NotBlank(message = "缺少钱包地址参数")
    @Xss
    public String balance;

}
